;;; Guile-QuickCheck
;;; Copyright 2020 Timothy Sample <samplet@ngyro.com>
;;;
;;; This file is part of Guile-QuickCheck.
;;;
;;; Guile-QuickCheck is free software: you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation, either version 3 of the
;;; License, or (at your option) any later version.
;;;
;;; Guile-QuickCheck is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with Guile-QuickCheck.  If not, see
;;; <https://www.gnu.org/licenses/>.

(use-modules ((gnu packages autotools) #:select (autoconf automake))
             ((gnu packages guile) #:select (guile-3.0))
             ((gnu packages pkg-config) #:select (pkg-config))
             ((gnu packages texinfo) #:select (texinfo))
             (guix build-system gnu)
             ((guix licenses) #:prefix license:)
             (guix packages))
(package
  (name "guile-quickcheck")
  (version "0.1.0")
  (source #f)
  (build-system gnu-build-system)
  (native-inputs
   `(("autoconf" ,autoconf)
     ("automake" ,automake)
     ("pkg-config" ,pkg-config)
     ("texinfo" ,texinfo)))
  (inputs
   `(("guile" ,guile-3.0)))
  (home-page #f)
  (synopsis "Randomized property-based testing for Guile")
  (description "This Guile library provides tools for randomized,
property-based testing.  It follows closely the QuickCheck library
written in Haskell.  You can use it to define a property (a predicate
with specifications for its inputs) and test it by generating many
random inputs and seeing if it holds.")
  (license license:gpl3+))
